FORMAX DEVELOPER API
  1. Gift Voucher API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
      POST
    • Pull Voucher
      POST
    • Transaction Status
      POST
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Gift Voucher API

Brand List

POST
https://api.formaxpay.com/api/gift_voucher/brand_list
This API is used to fetch the list of available gift voucher brands along with their denominations, redemption details, and stock availability.
Partners can use this API to:
Display available voucher brands
Show denominations and redemption URLs
Check voucher availability before purchase

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/gift_voucher/brand_list' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw=='
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": [
        {
            "id": 2,
            "category": "GIFTING",
            "brand_name": "JioHotstar",
            "brand_type": "VOUCHER",
            "redemption_type": "1",
            "online_redemption_url": "https://www.hotstar.com/in/home",
            "brand_image": "",
            "denomination_list": "899,1499",
            "min_value": null,
            "max_value": null,
            "stock_available": "true",
            "description": "",
            "status": "Active",
            "updated_on": null
        },
        {
            "id": 3,
            "category": "GIFTING",
            "brand_name": "Amazon Shopping",
            "brand_type": "VOUCHER",
            "redemption_type": "1",
            "online_redemption_url": "https://www.amazon.in/vouchers",
            "brand_image": "",
            "denomination_list": "500,1000,2000,5000,10000",
            "min_value": null,
            "max_value": null,
            "stock_available": "true",
            "description": "",
            "status": "Active",
            "updated_on": "2025-11-06"
        },
        {
            "id": 4,
            "category": "GIFTING",
            "brand_name": "Amazon Prime Membership",
            "brand_type": "VOUCHER",
            "redemption_type": "1",
            "online_redemption_url": "https://www.amazon.in/vouchers",
            "brand_image": "",
            "denomination_list": "399,599,799,1499",
            "min_value": "",
            "max_value": null,
            "stock_available": "true",
            "description": "",
            "status": "Active",
            "updated_on": null
        }
    ]
}
Modified at 2025-12-24 12:45:58
Previous
Gift Voucher API
Next
Pull Voucher
Built with